## nordugrid-arc-gangliarc 1.0.0

=== Makefile ===
PACKAGE_NAME = nordugrid-arc-gangliarc
VERSION = $(shell cat VERSION)
TARBALL = dist/$(PACKAGE_NAME)-$(VERSION).tar.gz

default:
	@echo "No default target - try make dist"

dist: $(TARBALL)

$(TARBALL): setup.py
	python $< sdist

config: setup.py
	 python $< $@

clean:
	rm -f $(TARBALL) MANIFEST $(PACKAGE_NAME).spec
	test -d dist && rmdir dist || :
	rm -fr $(CURDIR)/build
	rm -fr $(CURDIR)/__pycache__

=== debian/changelog ===
nordugrid-arc-gangliarc (1.0.0-3) unstable; urgency=medium

  * Rebuild with debhelper 9.20151126

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 06 Dec 2015 18:16:14 +0100

nordugrid-arc-gangliarc (1.0.0-2) unstable; urgency=medium

  * Update python handling in debian/control
  * New package upload (Closes: #805619)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 20 Nov 2015 10:05:25 +0100

nordugrid-arc-gangliarc (1.0.0-1) UNRELEASED; urgency=low

  * 1.0.0 Final release

 -- Anders Waananen <waananen@nbi.dk>  Sun, 01 Dec 2013 00:39:11 +0000

nordugrid-arc-gangliarc (0.1.0-1) UNRELEASED; urgency=low

  * 0.1.0 Initial release

 -- Anders Waananen <waananen@nbi.dk>  Thu, 28 Nov 2013 16:08:40 +0100

=== debian/control ===
Source: nordugrid-arc-gangliarc
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Uploaders: Anders Waananen <waananen@nbi.dk>
Build-Depends: debhelper (>= 5), python, python-setuptools, dh-python
Standards-Version: 3.9.6
Homepage: http://wiki.nordugrid.org/index.php/Gangliarc

Package: nordugrid-arc-gangliarc
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, nordugrid-arc-arex, ganglia-monitor
XB-Python-Version: ${python:Versions}
Description: Ganglia monitoring for ARC services
 gangliarc provides a way to monitor ARC services through an existing ganglia
 installation. Running gangliarc adds various ARC metrics to ganglia which can
 then be viewed along with regular ganglia metrics for the ARC host.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/dpkg/buildflags.mk

configure: configure-stamp

configure-stamp:
	dh_testdir
	touch $@

build: build-arch build-indep

build-arch:

build-indep: build-stamp

build-stamp: configure-stamp
	python setup.py build
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -rf build
	rm -f debian/nordugrid-arc-gangliarc.gangliarc.init
	dh_clean configure-stamp build-stamp

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	python setup.py install --prefix=/usr --root=debian/tmp --skip-build
	mv debian/tmp/etc/init.d/gangliarc debian/nordugrid-arc-gangliarc.gangliarc.init

binary: binary-arch binary-indep

binary-arch:

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installdocs
	dh_installchangelogs
	dh_install --fail-missing
	dh_installinit nordugrid-arc-gangliarc --name gangliarc
	dh_python2
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build-arch build-indep build clean binary-arch binary-indep binary install configure

## nordugrid-arc-gangliarc 1.0.1

=== debian/changelog ===
nordugrid-arc-gangliarc (1.0.1-1) unstable; urgency=medium

  * 1.0.1 Final release
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 06 Sep 2016 08:25:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: nordugrid-arc-gangliarc
 Section: net
 Priority: optional
-Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Uploaders: Anders Waananen <waananen@nbi.dk>
 Build-Depends: debhelper (>= 5), python, python-setuptools, dh-python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://wiki.nordugrid.org/index.php/Gangliarc
 
 Package: nordugrid-arc-gangliarc

## nordugrid-arc-gangliarc 1.0.2

=== debian/changelog ===
nordugrid-arc-gangliarc (1.0.2-2) unstable; urgency=medium

  * Add Vcs references to salsa.debian.org

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 28 Mar 2018 14:01:00 +0200

nordugrid-arc-gangliarc (1.0.2-1) unstable; urgency=medium

  * 1.0.2 Final release

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 08 Apr 2017 08:18:56 +0200

=== debian/control ===
Source: nordugrid-arc-gangliarc
Section: net
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Uploaders: Anders Waananen <waananen@nbi.dk>
Build-Depends: debhelper (>= 9), python, python-setuptools, dh-python
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/ellert/nordugrid-arc-gangliarc
Vcs-Git: https://salsa.debian.org/ellert/nordugrid-arc-gangliarc.git
Homepage: http://wiki.nordugrid.org/index.php/Gangliarc

Package: nordugrid-arc-gangliarc
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, nordugrid-arc-arex, ganglia-monitor, lsb-base (>= 3.0-6)
XB-Python-Version: ${python:Versions}
Description: Ganglia monitoring for ARC services
 gangliarc provides a way to monitor ARC services through an existing ganglia
 installation. Running gangliarc adds various ARC metrics to ganglia which can
 then be viewed along with regular ganglia metrics for the ARC host.

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,8 @@
 	dh_installdirs
 	dh_installdocs
 	dh_installchangelogs
-	dh_install --fail-missing
+	dh_install
+	dh_missing --fail-missing
 	dh_installinit nordugrid-arc-gangliarc --name gangliarc
 	dh_python2
 	dh_link
